summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorEmil Velikov <[email protected]>2018-12-17 16:25:40 +0000
committerEmil Velikov <[email protected]>2018-12-21 14:39:52 +0000
commite0dbfc995370756355f28ac31495eab96a410384 (patch)
treee67933de02092bc091043ef2c1b43cd5d68b972a /bin
parent6b296f64af5d69a1d0e4cdcda5f8c6d090dd4449 (diff)
bin/get-pick-list.sh: warn when commit lists invalid sha
We had cases where people would list old/invalid sha in the commit. Add a trivial checker to catch those and throw a warning. CC: Juan A. Suarez <[email protected]> CC: Dylan Baker <[email protected]> CC: [email protected] Signed-off-by: Emil Velikov <[email protected]> Reviewed-by: Andres Gomez <[email protected]>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/get-pick-list.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/get-pick-list.sh b/bin/get-pick-list.sh
index 08a783f35a8..79b7a295ea6 100755
--- a/bin/get-pick-list.sh
+++ b/bin/get-pick-list.sh
@@ -38,6 +38,17 @@ is_sha_nomination()
if test $fixes_count -eq 0; then
return 1
fi
+
+ # Throw a warning for each invalid sha
+ while test $fixes_count -gt 0; do
+ # Treat only the current line
+ id=`echo "$fixes" | tail -n $fixes_count | head -n 1 | cut -d : -f 2`
+ fixes_count=$(($fixes_count-1))
+ if ! git show $id &>/dev/null; then
+ echo WARNING: Commit $1 lists invalid sha $id
+ fi
+ done
+
return 0
}